Anonymous | Login
Project:
RSS
  
News | My View | View Issues | Roadmap | Summary

View Issue DetailsJump to Notes ] Issue History ] Print ]
ID
0027533
TypeCategorySeverityReproducibilityDate SubmittedLast Update
defect[Openbravo ERP] A. Platformminoralways2014-09-03 11:042014-09-08 17:10
ReporteralostaleView Statuspublic 
Assigned Toalostale 
PrioritynormalResolutionfixedFixed in Version3.0PR14Q4
StatusclosedFix in branchFixed in SCM revision02687eeace5e
ProjectionnoneETAnoneTarget Version3.0PR14Q4
OSAnyDatabaseAnyJava version
OS VersionDatabase versionAnt version
Product VersionSCM revision 
Review Assigned ToAugustoMauch
Web browser
ModulesCore
Regression level
Regression date
Regression introduced in release
Regression introduced by commit
Triggers an Emergency PackNo
Summary

0027533: context information is sent as a query string parameter when calculating defaults in process definition windows

DescriptionThe request sent to calculate default values in process definition windows invoked from a standard window includes the context information (current record's field values) as part of the query string paramters. This can cause query string to be bigger than the maximum size accepted by the browser.
Steps To Reproduce-Create a sales order and process it
-Open chrome dev tools
-Click add payment
  Check there is a request to DefaultsProcessActionHandler where the context information is part of the query string parameters
Proposed SolutionContext information should be sent as form data with the same format sent when the "Done" button is clicked.
TagsNo tags attached.
Attached Files

- Relationships Relation Graph ] Dependency Graph ]
related to defect 0037857 closedcaristu Wrong FIC Request after selecting all records in a grid with hundreds of lines 

-  Notes
(0069938)
hgbot (developer)
2014-09-03 11:12

Repository: erp/devel/pi
Changeset: 02687eeace5ef408a2b9465dd0ec8dbcbd594fb1
Author: Asier Lostalé <asier.lostale <at> openbravo.com>
Date: Wed Sep 03 11:11:20 2014 +0200
URL: http://code.openbravo.com/erp/devel/pi/rev/02687eeace5ef408a2b9465dd0ec8dbcbd594fb1 [^]

fixed bug 27533: context as a query string in defaults for process definition

   Now context information is sent as form data with the same format used when
   the actual process is invoked.

---
M modules/org.openbravo.client.application/src/org/openbravo/client/application/process/BaseProcessActionHandler.java
M modules/org.openbravo.client.application/src/org/openbravo/client/application/process/DefaultsProcessActionHandler.java
M modules/org.openbravo.client.application/web/org.openbravo.client.application/js/process/ob-parameter-window-view.js
---
(0069949)
hudsonbot (developer)
2014-09-03 19:15

A changeset related to this issue has been promoted main and to the
Central Repository, after passing a series of tests.

Promotion changeset: https://code.openbravo.com/erp/devel/main/rev/63ea0df119a5 [^]
Maturity status: Test
(0070023)
AugustoMauch (developer)
2014-09-08 17:10

Code reviewed and verified in pi@02687eeace5e

- Issue History
Date Modified Username Field Change
2014-09-03 11:04 alostale New Issue
2014-09-03 11:04 alostale Assigned To => alostale
2014-09-03 11:04 alostale Modules => Core
2014-09-03 11:04 alostale Triggers an Emergency Pack => No
2014-09-03 11:04 alostale Review Assigned To => AugustoMauch
2014-09-03 11:12 hgbot Checkin
2014-09-03 11:12 hgbot Note Added: 0069938
2014-09-03 11:12 hgbot Status new => resolved
2014-09-03 11:12 hgbot Resolution open => fixed
2014-09-03 11:12 hgbot Fixed in SCM revision => http://code.openbravo.com/erp/devel/pi/rev/02687eeace5ef408a2b9465dd0ec8dbcbd594fb1 [^]
2014-09-03 19:15 hudsonbot Checkin
2014-09-03 19:15 hudsonbot Note Added: 0069949
2014-09-08 17:10 AugustoMauch Note Added: 0070023
2014-09-08 17:10 AugustoMauch Status resolved => closed
2014-09-08 17:10 AugustoMauch Fixed in Version => 3.0PR14Q4
2018-02-08 10:05 caristu Relationship added related to 0037857


Copyright © 2000 - 2009 MantisBT Group
Powered by Mantis Bugtracker